Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# Ticker Class Reference

This Ticker class is specific to the mediaplayer apps. More...

`#include <ticker.h>`

List of all member functions.

## Public Members

- Ticker ( QWidget * parent = 0 )
- ~Ticker ()
- void setText ( const QString & text )

## Protected Members

- void resizeEvent ( QResizeEvent * )
- void timerEvent ( QTimerEvent * )
- void drawContents ( QPainter * p )

## Detailed Description

This Ticker class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class displays text similar to a non-editable QLineEdit but will scroll the text if it does not fit.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.